Package com.independentsoft.office.odf.styles

# Enum Class VerticalLineAlignment

java.lang.Object
java.lang.Enum<VerticalLineAlignment>
com.independentsoft.office.odf.styles.VerticalLineAlignment

All Implemented Interfaces:
  `Serializable`, `Comparable<VerticalLineAlignment>`, `Constable`

public enum VerticalLineAlignment extends Enum<VerticalLineAlignment>
Represents the vertical position of a character. By default characters are aligned according to their baseline.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTTOM`
  To the bottom of the line.
  `MIDDLE`
  To the center of the line.
  `NONE`
  None.
  `TOP`
  To the top of the line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VerticalLineAlignment`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static VerticalLineAlignment[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TOP

    public static final VerticalLineAlignment TOP
    To the top of the line.

  - ### MIDDLE

    public static final VerticalLineAlignment MIDDLE
    To the center of the line.

  - ### BOTTOM

    public static final VerticalLineAlignment BOTTOM
    To the bottom of the line.

  - ### NONE

    public static final VerticalLineAlignment NONE
    None.

- ## Method Details

  - ### values

    public static VerticalLineAlignment[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VerticalLineAlignment valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null